<launch>
    <arg name="kbd_teleop" default="false"/>
    <arg name="rqt_teleop" default="false"/>
    <arg name="visualize" default="true"/>
    <arg name="with_robot" default="true"/>

    <arg name="simulation_factor" default="1.0"/>
    <!-- Speed up -->
    <arg name="update_rate" default="25.0"/>
    <!-- Hz -->

    <!-- additional parameters configured -->
    <arg name="force_obstacle" default="10.0"/>
    <arg name="sigma_obstacle" default="0.2"/>
    <arg name="force_social" default="5.1"/>
    <arg name="force_group_gaze" default="3.0"/>
    <arg name="force_group_coherence" default="2.0"/>
    <arg name="force_group_repulsion" default="1.0"/>
    <arg name="force_random" default="0.1"/>
    <arg name="force_wall" default="2.0"/>

    <arg name="scenario_file" default="empty_scenario.xml"/>
    <arg name="detect_frozen_agents" default="false"/>
    <arg name="walls_scale" default="0.1"/>

    <!--additional parameters for pedsim and robot simulation-->
    <arg name="frame_id" default="map"/>
    <arg name="robot_base_frame_id" default="base_footprint"/>
    <arg name="obstacle_offset_x" default="-5.41"/>
    <arg name="obstacle_offset_y" default="-4"/>
    <arg name="world_frame" default="map"/>
    <arg name="robot_frame" default="base_footprint"/>
    <arg name="publish_tf" default="false"/>

    <!-- Simulator -->
    <include file="$(find pedsim_simulator)/launch/simulator.launch">
        <arg name="kbd_teleop" value="$(arg kbd_teleop)"/>
        <arg name="rqt_teleop" value="$(arg rqt_teleop)"/>
        <arg name="scene_file" value="$(find arlobot_uv_launcher)/scenarios/$(arg scenario_file)"/>
        <arg name="with_robot" value="$(arg with_robot)"/>
        <arg name="simulation_factor" value="$(arg simulation_factor)"/>
        <arg name="update_rate" value="$(arg update_rate)"/>
        <arg name="default_queue_size" value="10"/>
        <arg name="max_robot_speed" value="1.5"/>
        <arg name="robot_mode" value="0"/>
        <arg name="enable_groups" value="true"/>
        <arg name="pose_initial_x" value="10.0"/>
        <arg name="pose_initial_y" value="15.0"/>
        <arg name="pose_initial_theta" value="0.7"/>
        <arg name="detect_frozen_agents" value="$(arg detect_frozen_agents)" />
        <!-- extra parameters -->
        <arg name="force_obstacle" value="$(arg force_obstacle)"/>
        <arg name="sigma_obstacle" value="$(arg sigma_obstacle)"/>
        <arg name="force_social" value="$(arg force_social)"/>
        <arg name="force_group_gaze" value="$(arg force_group_gaze)"/>
        <arg name="force_group_coherence" value="$(arg force_group_coherence)"/>
        <arg name="force_group_repulsion" value="$(arg force_group_repulsion)"/>
        <arg name="force_random" value="$(arg force_random)"/>
        <arg name="force_wall" value="$(arg force_wall)"/>

        <arg name="frame_id" value="$(arg frame_id)"/>
        <arg name="robot_base_frame_id" value="$(arg robot_base_frame_id)"/>
        <arg name="obstacle_offset_x" value="$(arg obstacle_offset_x)"/>
        <arg name="obstacle_offset_y" value="$(arg obstacle_offset_y)"/>
        <arg name="world_frame" value="$(arg world_frame)"/>
        <arg name="robot_frame" value="$(arg robot_frame)"/>
        <arg name="publish_tf" value="$(arg publish_tf)"/>
    </include>

    <!-- Visualizer -->
    <include file="$(find pedsim_simulator)/launch/visualizer.launch">
        <arg name="walls_scale" value="$(arg walls_scale)"/>
    </include>

</launch>
